package w83b.w83bOperacionesPaso.w83bActas;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83b.w83bBeans.W83bNuevaIncidenciasBean;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;

import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bVolverIncidenciasAction extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		contexto.set("w83bSubOpFlag","volverActas");
		W83bNuevaIncidenciasBean incidencia = (W83bNuevaIncidenciasBean)contexto.get("w83bNuevaIncidenciasBean");
		
		if(W83bClsConstantes.CONSTANTE_ACTA_PARCIAL.equals(incidencia.getTipologiaIncidencia())){
			incidencia.setActaAnyo(incidencia.getActaParcial().substring(0, 4));
			incidencia.setActaNumero(incidencia.getActaParcial().substring(4));
			contexto.set("w83bNuevaIncidenciasBean",incidencia);
		}
		
		return mapping.findForward("ok");

	}

}
